C2 says:<br /><br />"It looks like you need a Gen3 AutoTrade Software license to continue autotrading. You can buy a license here."<br /><br />I click on the link and nothing happens. So I can't buy the license and can't start trading. Please

C2 says:

"It looks like you need a Gen3 AutoTrade Software license to continue autotrading. You can buy a license here."

I click on the link and nothing happens. So I can’t buy the license and can’t start trading. Please help.

Oh my. Let me look into this and get back to you shortly.

(Very impressive business savvy here at C2 - to request payment for software and then prevent customer from completing transaction…)

It’s fixed, thank you.